Bug 1128518

Summary: "/dev/st0: Input/output error" prompted when telling the current block on scsi tape device
Product: Red Hat Enterprise Linux 7 Reporter: Sibiao Luo <sluo>
Component: scsi-target-utilsAssignee: Maurizio Lombardi <mlombard>
Status: NEW --- QA Contact: Red Hat Kernel QE team <kernel-qe>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 7.4CC: coli, juzhang, qzhang, storage-qe, xuwei, yhong
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1126317 Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1126317    
Bug Blocks:    

Comment 1 Sibiao Luo 2014-08-11 02:20:12 UTC
According to bug 1113068#c14 which also hit it in rhel7.

host info:
# uname -r && rpm -q qemu-kvm-rhev
3.10.0-128.el7.x86_64
qemu-kvm-rhev-2.1.0-3.el7ev.preview.x86_64

Best Regards,
sluo

Comment 2 Sibiao Luo 2014-08-11 02:21:34 UTC
# rpm -q iscsi-initiator-utils && rpm -q scsi-target-utils
iscsi-initiator-utils-6.2.0.873-21.el7.x86_64
scsi-target-utils-1.0.24-3.el7.x86_64

Comment 5 Yongxue Hong 2017-03-21 09:28:00 UTC
Hi Andy Grover:
What the status of this bug? The bug will be fix in rhel7.4 ?
Thank you.

Comment 6 Yongxue Hong 2017-03-21 09:36:24 UTC
Hi Andy Grover:

My test version:

host kernel:3.10.0-598.el7.ppc64le

qemu-kvm:qemu-kvm-rhev-2.8.0-6.el7

scsi-target-utils:1.0.55-4.el7.ppc64le

Comment 7 Andy Grover 2017-03-22 00:56:49 UTC
This isn't the supported iSCSI target solution on RHEL 7 (use targetcli to configure the LIO kernel target). This package is in EPEL7, not a package in RHEL 7.